/** Utilities to work with NotebookData */
import { Worker } from "./client.js";
export declare const PROGRESS_LOG_LEVEL = "LogLevel(-1)";
export declare const STDOUT_LOG_LEVEL = "LogLevel(-555)";
export type CellStatus = "queued" | "running" | "errored" | "done" | "pending";
export declare function getResult(worker: Worker, cell_id: string): import("./index.js").CellResultData;
export declare function getSnippetLogs(worker: Worker, cell_id: string): import("../components/Editor.js").LogEntryData[];
export declare function getProgressLogs(worker: Worker, cell_id: string): import("../components/Editor.js").LogEntryData[];
export declare function getTerminalLogs(worker: Worker, cell_id: string): import("../components/Editor.js").LogEntryData[];
export declare function getOutput(worker: Worker, cell_id: string): {
    body: string | any;
    persist_js_state: boolean;
    last_run_timestamp: number;
    mime: string;
    rootassignee: string | null;
    has_pluto_hook_features: boolean;
};
export declare function getStatus(worker: Worker, cell_id: string): CellStatus;
export declare function getMime(worker: Worker, cell_id: string): ["text/plain" | "text/html" | string, any];
